# Generated by Django 2.1.7 on 2021-04-05 14:59

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import phonenumber_field.modelfields

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models
from django.db.models import Q

def create_groups(apps, scheme_editor):
    
    Group = apps.get_model('auth', 'Group')
    Permission = apps.get_model("auth", "Permission")

    system_list = ["Sistema-Iris", "Sistema-Matrix", "Sistema-Pulso", "Sistema-Sentinel"]

    for system in system_list:

        system_group, p = Group.objects.get_or_create(name=system)

        for permission in Permission.objects.filter(content_type__app_label='tech_support').filter(Q(content_type__model='ticketmodel')):
            system_group.permissions.add(permission)

def delete_groups(apps, scheme_editor):
    Group = apps.get_model('auth', 'Group')
    system_list = ["Sistema-Iris", "Sistema-Matrix", "Sistema-Pulso", "Sistema-Sentinel"]
    
    for name in system_list:
        try:
            Group.objects.filter(name=name).delete()
        except:
            pass

class Migration(migrations.Migration):

    dependencies = [
        ('tech_support', '0007_auto_20210422_1508'),
    ]

    operations = [
        migrations.RunPython(create_groups, delete_groups)
    ]
